segfault when using set_sender (force_sender in .esmtprc)

Bug #227680 reported by Lars Ellenberg on 2008-05-07
4
Affects Status Importance Assigned to Milestone
esmtp (Ubuntu)
Undecided
Unassigned
libesmtp (Ubuntu)
Undecided
Unassigned

Bug Description

in addition to upgrading to upstream 1.0.4, as requested in
 #227677 segfault after starttls, fixed upstream
there is an additional segfault
in print_sender, dereferencing the "header->value", which never was assigned.

affects all ubuntu and debian shipping libesmtp.

the fix is straight forward, patch against libesmtp 1.0.4
--- headers.c.orig 2008-05-07 12:33:23.485256941 +0200
+++ headers.c 2008-05-05 03:32:30.574634072 +0200
@@ -334,7 +334,7 @@
   mbox->mailbox = strdup (mailbox);
   mbox->next = NULL;

- mbox->next = header->value;
+ header->value = mbox;
   return 1;
 }

Related branches

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libesmtp - 1.0.4-3

---------------
libesmtp (1.0.4-3) unstable; urgency=low

  * Update to 3.8.3 standards policy
  * Acknowledge previous version fixed header.c issue
    (Closes: #294231) (LP: #227680)
 -- Ubuntu Archive Auto-Sync <email address hidden> Tue, 08 Dec 2009 08:15:05 +0000

Changed in libesmtp (Ubuntu):
status: New → Fix Released
Salvatore Bonaccorso (carnil) wrote :

Hi

Can you stil reproduce a segfault in esmtp?

Regards
Salvatore

Changed in esmtp (Ubuntu):
status: New → Incomplete
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers